from dataclasses import dataclass


@dataclass
class AugemntationParameter:
    augmentation_module: str
    augmentation_function: str
    function_parameter: dict
    input_parameter: dict

    def as_dict(self):
        return dict(
            augmentation_module=self.augmentation_module,
            augmentation_function=self.augmentation_function,
            function_parameter=self.function_parameter,
            input_parameter=self.input_parameter,
        )
